Experimental
ListPorts lists currently published ports for one sandbox.
GET
/v1/sandboxes/{sandbox}/ports ListPorts lists currently published ports for one sandbox.
Connection and access
API connection and authentication guidance
https://connect.docker.com/sandboxes
—
The API base URL. Append the /v1 paths while preserving this URL's path prefix.
Use one of these alternatives. Requirements within an alternative apply together.
bearer
Parameters
sandbox
path
Required
The sandbox id.
Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Response
200
Success
application/json
Schema:
ListPortsResponse
Response
default
The structured Error body identifies the failure with a stable code and optional typed details.
application/json
Schema:
Error
Schema example
{
"code": "notFound",
"details": [],
"message": "sandbox not found"
}Referenced schemas
#/components/schemas/ListPortsResponse
Complete operation contract
{
"description": "ListPorts lists currently published ports for one sandbox.",
"operationId": "listPorts",
"parameters": [
{
"description": "The sandbox id.",
"in": "path",
"name": "sandbox",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ListPortsResponse"
}
}
},
"description": "Success"
},
"default": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
},
"description": "The structured Error body identifies the failure with a stable code and optional typed details."
}
},
"security": [
{
"bearer": []
}
],
"summary": "ListPorts lists currently published ports for one sandbox.",
"tags": [
"Sandboxes"
],
"x-sbx-authenticated-only": false,
"x-sbx-conditional-permissions": [],
"x-sbx-plane": "control",
"x-sbx-required-permissions": [
"sandboxesRead"
],
"x-sbx-serving-surface": "management"
}